BRP Connect API

GET /v1/contracts/{contract_id}

Einen einzelnen Vertrag über seine Kennung abrufen. Erforderlicher Scope: contracts:read

Als Markdown anzeigen
GET
/v1/contracts/{contract_id}
X-Api-Key<token>

In: header

Path Parameters

contract_idstring

Kennung des Vertrags

Response Body

curl -X GET "https://api.otark.energy/v1/contracts/con_a1b2c3d4"
{
  "id": "con_a1b2c3d4",
  "external_id": "7K2QP",
  "type": "ppa",
  "status": "in_progress",
  "delivery_start": "2026-06-30T22:00:00Z",
  "delivery_end": "2026-09-30T22:00:00Z",
  "seller": {
    "name": "Stadtwerke",
    "eic": "11YSTADTWERKE--Z",
    "tso": "DE_TENNET"
  },
  "buyer": {
    "name": "Stadtwerke",
    "eic": "11YSTADTWERKE--Z",
    "tso": "DE_TENNET"
  },
  "ppa_type": "indexed",
  "period": "Q3-2026",
  "delivery_profile": "ENWEX Solar DE",
  "asset": {
    "id": "ast_w1x2y3z4",
    "name": "Solar Park SP-1",
    "nominal_power": 10,
    "technology": "solar",
    "tso": "DE_TENNET"
  },
  "created_at": "2026-05-12T08:42:17Z"
}

{
  "type": "https://brp.otark.energy/errors/invalid_api_key",
  "title": "Ungültiger API-Schlüssel",
  "status": 401
}

{
  "type": "https://brp.otark.energy/errors/insufficient_scopes",
  "title": "Unzureichende Scopes des API-Schlüssels",
  "status": 403,
  "detail": "Missing scope: customers:write. Please create a new API key with the required scopes."
}

{
  "type": "https://brp.otark.energy/errors/customer_not_found",
  "title": "Kunde nicht gefunden",
  "status": 404,
  "instance": "/v1/customers/cust_r8s9t0u1"
}